RFC Style Guide

This specification has been revised 4 times since RFC 825 (1982). Each document below formally obsoleted the one before it; the versions still in force are listed first.

Revision timeline

  1. RFC 825 (1982)
  2. RFC 1111 (1989)
  3. RFC 1543 (1993)
  4. RFC 2223 (1997)
  5. RFC 7322 (2014) ✓

Current version — implement against this

Superseded versions — historical reference only

This lineage is derived automatically from the “obsoletes” relationships recorded in the public RFC Editor index — no editorial judgement is applied to the ordering. The most recent document in the chain is RFC 7322 (September 2014).